## org.eclipse.emf.ecore
Interface EDataType

All Superinterfaces:
  EClassifier, EModelElement, ENamedElement, EObject, Notifier

All Known Subinterfaces:
  EEnum

All Known Implementing Classes:
  EDataTypeImpl, EEnumImpl

    public interface EDataType

extends EClassifier

A representation of the model object 'EData Type'.

The following features are supported:

- `Serializable`

See Also:
  `EcorePackage.getEDataType()`

Method Summary
`boolean` `isSerializable()` Returns the value of the 'Serializable' attribute.
`void` `setSerializable(boolean value)` Sets the value of the '`Serializable`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isSerializable

    boolean isSerializable()

  Returns the value of the 'Serializable' attribute. The default value is `"true"`.

  It represents whether values of this type will be `serialized`. For a serializable data type, there will be factory methods of the form:

        String convertXyzToString(EDataType metaObject, Object instanceValue)
        Object createXyzFromString(EDataType metaObject, String initialValue)

  in the generated factory implementation. Clients will typically need to hand write the bodies of these generated methods.

  Returns:
    the value of the 'Serializable' attribute.
  See Also:
    `setSerializable(boolean)`, `EcorePackage.getEDataType_Serializable()`

### setSerializable

    void setSerializable(boolean value)

  Sets the value of the '`Serializable`' attribute.

  Parameters:
    `value` - the new value of the 'Serializable' attribute.
  See Also:
    `isSerializable()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.